Web lists-archives.com

Re: Rsync




On Sun, Nov 05, 2017 at 04:00:45PM -0500, Roberto C. Sánchez wrote:
> As far as vim-tiny, vi is specified/required [0] in POSIX.1-2008.

So is ed(1), but Debian has elected not to include ed in Standard.

Some of the Debian choices are simply that -- choices.  The developers
weigh the results of popularity-contest vs. the various standards
vs. the historical practices vs. what other distributions do, and
come up with something that makes sense for most of the users, most
of the time.

I install vim and rsync because I use them.  I have no problem with
needing to do this, and it makes sense not to include them in Standard
because not everyone is going to use them.  Likewise, I don't use emacs,
so I don't install it.  I'd be mildly irritated if emacs were included
in Standard, so I can see why someone who doesn't use rsync would feel
that way about rsync.